Require Import Coq.Bool.Bool.
Require Import Coq.Arith.Arith.
Require Import Coq.Lists.List.
Require Import Coq.Program.Equality.
Require Import Coq.omega.Omega.

Module SecurityLattice.

Import ListNotations.

(* The set of labels for the security lattice *)
Inductive label : Set :=
  | H : label
  | L : label.


(*  The partial order relation between labels *)
Definition lte_bool (l1:label) (l2:label) : bool :=  match (l1,l2) with  | (H,L) => false  | (_,_) => true end.
Definition lte (l1:label) (l2:label): Prop := lte_bool l1 l2 = true.
Definition nlte (l1:label) (l2:label): Prop := lte_bool l1 l2 = false.


End SecurityLattice.
